Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 569198 - Review Request: rubygem-rmail - A MIME mail parsing and generation library
Summary: Review Request: rubygem-rmail - A MIME mail parsing and generation library
Keywords:
Status: CLOSED DUPLICATE of bug 598138
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
low
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2010-02-28 17:32 UTC by Adrian Joian
Modified: 2010-05-31 14:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-21 16:52:21 UTC


Attachments (Terms of Use)

Description Adrian Joian 2010-02-28 17:32:23 UTC
Spec URL: http://ajoian.fedorapeople.org/rubygem-rmail.spec
SRPM URL: http://ajoian.fedorapeople.org/rubygem-rmail-1.0.0-1.fc12.src.rpm
Description: RMail is a lightweight mail library containing various utility classes and modules that allow ruby scripts to parse, modify, and generate MIME mail messages.

This is my first package and I need a sponsor.

Comment 1 Mamoru TASAKA 2010-04-05 17:30:13 UTC
! Notes
  - Please be familiar with rpmlint (available in "rpmlint" binary
    rpm) and check your srpm / rebuilt binary rpm / installed rpm
    with rpmlint.

Some initial comments

* spec file name
  - The name of this spec file must be "rubygem-rmail.spec"
    ( see: $ rpmlint -I invalid-spec-name )

* %define -> %global
  - We now prefer to use %global instead of %define:
    https://fedoraproject.org/wiki/Packaging/Guidelines#.25global_preferred_over_.25define

* Group
  - We usually choose "Development/Languages" for rubygem related packages.

* License
  - This package is under "BSD"

* Requires/BuildRequires fix
--------------------------------------------------------------
    16  Requires: rubygems
    17  BuildRequires: ruby(rubygems)
    33  Requires:ruby(rubygems)
--------------------------------------------------------------
  - You use both "rubygems" and "ruby(rubygems)" (Build)Requires. Please
    choose one style ( note that "BuildRequires: rubygem(rake)" should
    be as it is )

--------------------------------------------------------------
    23  %package -n ruby-%{gemname}
    27  Provides: ruby(%{gemname})=  %{version}-%{release}
--------------------------------------------------------------
  - With this line ruby-rmail has "Provides: ruby(rmail)=" and
    "Provides: 1.0.0-1.fc??" and this is not expected.
    ( see: $ rpmlint -I comparison-operator-in-deptoken )

? non-gem compatibility package
  - Would you explain why non-gem compatibility package is needed for this
    package?

* Directory ownership issue
  https://fedoraproject.org/wiki/Packaging/Guidelines#File_and_Directory_Ownership
  https://fedoraproject.org/wiki/Packaging/UnownedDirectories#Forgetting_to_Include_a_Toplevel_Directory

  - The following directories themselves are not owned by any packages:
---------------------------------------------------------------
%{geminstdir}
%{geminstdir}/lib
---------------------------------------------------------------

* script without executable permission including shebang
---------------------------------------------------------------
rubygem-rmail-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rmail-1.0.0/test/runtests.rb 0644L /usr/bin/env
rubygem-rmail-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rmail-1.0.0/test/testtestbase.rb 0644L /usr/bin/env
rubygem-rmail-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rmail-1.0.0/test/testmboxreader.rb 0644L /usr/bin/env
rubygem-rmail-doc.noarch: E: non-executable-script /usr/lib/ruby/gems/1.8/gems/rmail-1.0.0/test/testmessage.rb 0644L /usr/bin/env
...
...
---------------------------------------------------------------
  - These scripts need not have shebangs.

Comment 2 Mamoru TASAKA 2010-04-16 17:12:38 UTC
ping?

Comment 3 Mamoru TASAKA 2010-04-29 17:08:44 UTC
ping again?

Comment 4 Mamoru TASAKA 2010-05-08 06:16:49 UTC
I will close this bug if no response is received from the reporter
within ONE WEEK.

Comment 5 Mamoru TASAKA 2010-05-21 16:52:21 UTC
Once closing.

If someone wants to import this package into Fedora, please submit
a new review request and mark this bug as a duplicate of the
new one, thank you!

Comment 6 Shreyank Gupta 2010-05-31 14:32:05 UTC

*** This bug has been marked as a duplicate of bug 588461 ***

Comment 7 Shreyank Gupta 2010-05-31 14:34:36 UTC

*** This bug has been marked as a duplicate of bug 598138 ***


Note You need to log in before you can comment on or make changes to this bug.